OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKStdLSchema
StdLSchema

# StdLSchema_PDataStd_Relation Class Reference

`#include <StdLSchema_PDataStd_Relation.hxx>`

## Public Member Functions
| StdLSchema_PDataStd_Relation ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
| ~StdLSchema_PDataStd_Relation ()
Standard_EXPORT Standard_Boolean | IsKind (const Handle(Standard_Type)&AType) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT void | SAdd (const Handle(PDataStd_Relation)&, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SWrite (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SRead (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)

## Constructor & Destructor Documentation

StdLSchema_PDataStd_Relation::StdLSchema_PDataStd_Relation | ( |  | ) | `[inline]`

StdLSchema_PDataStd_Relation::~StdLSchema_PDataStd_Relation | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void StdLSchema_PDataStd_Relation::Add | ( | const Handle(Standard_Persistent)& | ,
|  | const Handle(Storage_Schema)& |
| ) | const

Standard_EXPORT const StdLSchema_PDataStd_Relation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StdLSchema_PDataStd_Relation::IsKind | ( | const Handle(Standard_Type)& | AType | ) | const

Standard_EXPORT Handle_Standard_Persistent StdLSchema_PDataStd_Relation::New | ( |  | ) | const

Standard_EXPORT void StdLSchema_PDataStd_Relation::Read | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

static Standard_EXPORT void StdLSchema_PDataStd_Relation::SAdd | ( | const Handle(PDataStd_Relation)& | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PDataStd_Relation::SRead | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PDataStd_Relation::SWrite | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

Standard_EXPORT void StdLSchema_PDataStd_Relation::Write | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

The documentation for this class was generated from the following file:

- StdLSchema_PDataStd_Relation.hxx